#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	udisks
Version		:	2.9.4
Release		:	17.0.10.rel%{?dist}
Summary		:	Storage Management Service
Group		:	Development/System

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPLv2+
URL		:	https://github.com/storaged-project/udisks

Source0		:	%{name}-%{version}.tar.bz2

#-----------------------------------------------------------------------------
BuildRequires	:	libatasmart
BuildRequires	:	libgudev
BuildRequires	:	libblockdev-devel	>=	2.24
BuildRequires	:	libxslt
BuildRequires	:	polkit
#-----------------------------------------------------------------------------
%description
'%{name}' provides a daemon, D-Bus API and command line tools
for managing disks and storage devices.


#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc AUTHORS NEWS README.md
%{_sysconfdir}/%{name}2/%{name}2.conf
%{_sysconfdir}/%{name}2/mount_options.conf.example
%{_includedir}/%{name}2/%{name}/%{name}*.h
%{_bindir}/%{name}ctl
%{_sbindir}/umount.%{name}2
%{_libexecdir}/%{name}2/%{name}d
%{_libdir}/%{name}2/modules/lib%{name}2_*.{la,so}
%{_libdir}/lib%{name}2.{la,so*}
%{_libdir}/pkgconfig/%{name}2*.pc
%{_libdir}/udev/rules.d/80-%{name}2.rules
%{_datadir}/dbus-1/system-services/org.freedesktop.UDisks2.service
%{_datadir}/dbus-1/system.d/org.freedesktop.UDisks2.conf
%{_datadir}/bash-completion/completions/%{name}ctl
%{_datadir}/gtk-doc/html/%{name}2/*.{html,png}
%{_datadir}/gtk-doc/html/%{name}2/style.css
%{_datadir}/gtk-doc/html/%{name}2/%{name}2.devhelp2
%{_datadir}/locale/*/LC_MESSAGES/%{name}2.mo
%{_datadir}/polkit-1/actions/org.freedesktop.UDisks2.policy
%{_datadir}/polkit-1/actions/org.freedesktop.UDisks2.*.policy
%{_mandir}/man1/%{name}*.1.gz
%{_mandir}/man5/%{name}2.conf.5.gz
%{_mandir}/man8/%{name}*.8.gz
%{_mandir}/man8/umount.%{name}2.8.gz

#=============================================================================
%prep
%setup -q 

#-----------------------------------------------------------------------------
#building application
%build

./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
        --sysconfdir=%{_sysconfdir}			\
	--exec-prefix=%{_exec_prefix}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--datadir=%{_datadir}				\
	--infodir=%{_infodir}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--localstatedir=%{_var}				\
	--enable-introspection=no			\
	--disable-static				\
	--enable-bcache					\
	--enable-btrfs					\
	--enable-lvmcache				\
	--enable-lvm2					\
	--enable-vdo					\


%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make} %{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	install

#-----------------------------------------------------------------------------
%changelog
